/*
 * anerouge.h
 *
 *  Created on: 11 avr. 2009
 *      Author: Nahuel Fouilleul
 *
 *
 *
 *
 */

#ifndef ANEROUGE_H_
#define ANEROUGE_H_

#define STR(x) #x

// 111101111011110111101111
#define MASK 16236015
#define M_AR 99
#define M_VR 33
#define M_HR 3
#define M_SQ 1

#define C_AR (byte)3
#define K_COLS (byte)4
#define K_COLS1 (byte)5
#define K_LINES (byte)5

#define UNDEF (byte)-1
#define CUNDEF '.'

#define true 1
#define false 0

#define MOVE_LENGTH 28

typedef struct {
	int id;
	int forme;
	byte dir;
	int first;
} Move;

char * getPositionsString();
char * getFileName();
void goBack();
int exec(Move m);
Move inv(Move m);
char * getMoveString(Move m);
Move *getMoves();
int getSize();
int setFromInt(int i0);
int setFromPosOpt(byte * posOpt);
int setFromPositions();
int setFromString(char * s);
int toInt();
int posToInt();
char * getPuzzleString();

#endif /* ANEROUGE_H_ */
